// [[Rcpp::depends(RcppArmadillo)]]
#include <RcppArmadillo.h>

using namespace Rcpp;
// [[Rcpp::export]]


NumericVector pls_i(NumericVector coef, NumericMatrix Sigma, NumericVector tau, NumericVector as, NumericMatrix Sigma_with, NumericVector all) {
  
  NumericVector out;
  
  arma::vec y1 (coef.begin(),coef.size(),false);
  arma::mat X1 (Sigma.begin(),3,3,false);
  arma::mat X2 (Sigma_with.begin(),3,3,false);
  arma::vec y2 (tau.begin(),tau.size(),false);
  arma::vec y3 (as.begin(),as.size(),false);
  arma::vec y4 (all.begin(),all.size(),false);
  
  out = trans(y1-y2)*inv(X2)*(y1-y2)+trans(y3-y4)*inv(X1)*(y3-y4);

  return out;
}